2019-11-17 18:20 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001095JimPower[All Projects] Generalpublic2019-06-24 11:46
ReporterDamian Baran 
Assigned ToProject InfoJim Power (Loriciel)
http://www.whdload.de/games/JimPower.html
 
PrioritynormalSeverityminorReproducibilityalways
StatusassignedResolutionopen 
Summary0001095: Jim Power: Hi MiCK! ---> Jim Power in Mutant Planet The background floor always
DescriptionInstall: Jim Power (Loriciel) http://whdload.de/games/JimPower.html
GameVersion: english,pal,2 disks
SlaveVersion: 1.0 from 20.05.2000

Hi MiCK!
---> Jim Power in Mutant Planet
The background floor always 'flashes' in non-fly levels. It stops 'flashing'
when I am not turning left/right.
In the first level it looks good at the beginning, but after (about) a half
of it, the probem appears.
No changes via CACHE/NOCACHE. Only the loading speed change, hehe. :)
Cfg: A1200, 020, 8M Fast, ROM 3.0, HDD 2.6G, WHDLoad 16.4, Slave 1.1
Regards, El Amigos.
TagsNo tags attached.
MachineA500
CPU68000
CPUSpeed7
ChipSetOCS
GFXCardNone
ChipMem256 KB
FastMem0 MB
WorkbenchOS 3.9
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad16.4
importedyes
Attached Files

-Relationships
has duplicate 0002999closedJOTD Flickering of foreground parallax 
+Relationships

-Notes

note ~0001497

haynor666 (reporter)

I can confirm this, long standing issue. But game can be passed without problems.

note ~0001522

haynor666 (reporter)

any plans to fix this ?

note ~0001523

Wepl (manager)

MiCK is missing and no one has overtaken this install yet...

note ~0001524

haynor666 (reporter)

JOTD created JST install. Maybe he can fix this.

note ~0001800

haynor666 (reporter)

Any chances ?

note ~0001837

Wepl (manager)

JOTD will probably not read this here and I assume he is doing other stuff at the moment. You may ask him via PM?

note ~0001840

haynor666 (reporter)

Ok, I'll try

note ~0002724

mahen (reporter)

I can confirm this issue as well.

Haynor : did you manage to get in touch with JOTD ? Can I do anything to help ? (as a user)

note ~0002729

haynor666 (reporter)

No, I lost interest in this one. Besides it's not a serious bug.

note ~0003435

Hexaae (reporter)

Last edited: 2013-09-13 03:15

View 3 revisions

A real pity the development stopped to fix last flickering parallax glitches left in WHDLoad slave 1.1!
It's one of the most impressive Amiga platform games ever!

note ~0003438

haynor666 (reporter)

For a quite long time StingRay is active. Maybe he can look at this.

This but starts appear just after you get first power-up.

note ~0003439

Hexaae (reporter)

Last edited: 2013-09-13 14:52

View 3 revisions

BTW, does it use 060 unimplemented instructions?
I've seen some Exception 'Illegal instruction' $10 at $289E with latest 2.6.0+, that implemented a better 060 emulation...
This occurs after the "You are here" map, before game starts.

Attached core dump: http://www65.zippyshare.com/v/67874847/file.html

note ~0003445

haynor666 (reporter)

StingRay has currently assign report 2696. I didn't spotted this before previos post. I'm sure he will take a look at this.

note ~0003449

StingRay (developer)

Last edited: 2013-09-13 19:38

View 2 revisions

I will redo this patch as there are several problems with it. Expect updated patch this winter.

note ~0003450

haynor666 (reporter)

All right, we waiting then. Thanks for interest in this game :)

note ~0003919

haynor666 (reporter)

Any progress StingRay ?

note ~0003988

StingRay (developer)

Progress yet but the updated patch is not finished yet. Patience please. :)

note ~0004918

haynor666 (reporter)

How is the progress StingRay ?

note ~0004919

StingRay (developer)

Working on it from time to time but I still prefer demo patching which is what I'm currently doing. Don't expect any news here before winter [notice how I deliberately didn't mention any year ;)].

note ~0004947

haynor666 (reporter)

Ok, not a problem as game works (though I retest it with whdload 18.2, didn't play couple of years). This is only a small graphic issue :)

note ~0004971

StingRay (developer)

Well, changed my mind, after fixing the Beast 3 patch I restarted the work on the Jim Power patch as it's an ace game (excellent code!). :)

Can you please try the attached slave and tell me if the flickering still occurs? Please note that this slave is just for testing and not finished, so ONLY test if flickering occurs or not.

And in answer to Hexaae, yes, there is a movep instruction used which I have emulated in the current patch!

note ~0004974

Hexaae (reporter)

Mmmh... 1st level is ok now, but I've seen some issues on 2nd level... WUAE here though so maybe I have to change some settings.
Trainer in game keys not working with this beta slave, would be handy for testing.

note ~0004975

StingRay (developer)

Thanks for testing, try the new test slave, you can select levels in the splash window and skip levels during game by pressing "N". I have also fixed the same problem that was responsible for the flickering in the flying levels. Try again and let me know how it works.

note ~0004976

haynor666 (reporter)

I tried latest slave and for most part flickering is gone. But when I die and game moves playfield fast to the last check point I noticed flickering. Also game slowdowns quite a bit. I tested only first level so far.

The biggest problem is first boss - graphic is thrashed totally :/

BTW. I have unlimited lives even if I didn't check required option.

note ~0004977

Hexaae (reporter)

Finally justice is done to this masterpiece classic for the Amiga!

Thank you!

Still some trainer issues (or wanted?): infinite lives, bombs etc. ON by default after you die first time, and skipping/starting levels directly.

note ~0004978

Hexaae (reporter)

Last edited: 2016-06-17 19:49

View 2 revisions

@haynor666
Yes, I've solved boss trashed gfx and glitches on WinUAE using these tooltypes in the Jim Power WHDLoad icon:

SLAVE=JimPower.slave
PRELOAD
QUITKEY=$5d
ExecuteStartup=C:uae-configuration cachesize 32 cpu_cycle_exact true cpu_speed real
Custom1=8
NoCache
PreloadSize=1846498

NOCACHE is required to remove trashed boss gfx.

P.S.
A shot of my WinUAE system on YT: https://www.youtube.com/watch?v=cXYJnWK4d7A ;)
040/040 max speed WB (Picasso 96 emu), working WHDLoad games and all the rest...

note ~0004979

haynor666 (reporter)

I'm playing on real amiga with EC030 proc and 32 mb fast. NOCACHE didn't help.

I've decided to end boss after first stage with this corruption but after I defeated it whole game has trashed gfx (map, second level) :/

note ~0004980

StingRay (developer)

Any trainer issues: unimportant as I was only interested in the flickering issues ("fixing" it requires disabling of just one line of code).

As for the end boss, are the graphics trashed all the time?

note ~0004982

haynor666 (reporter)

Last edited: 2016-06-18 14:14

View 3 revisions

When I end first stage and start fight first boss I have trashed graphics all the time. After I defeated (somehow I managed to do this despite problems) I have trashed map screen and trashed second (flight) level.

BTW. Originally flashes occurs only when I get second weapon in first level (different weapon about after half of level not the EXP for first weapon).
I have to confirm this today with older slave.

note ~0004986

Hexaae (reporter)

Last edited: 2016-06-18 15:27

View 2 revisions

A little request for StingRay:
can you add a ButtonWait before level start, on the map screeen?

note ~0004988

StingRay (developer)

Haynor: I can not reproduce the "trashed graphics" problem at all. Does this happen with the older slave too? Game uses a bit of self-modifying code here and there but if that's the reason the graphics trash NOCACHE should fix it.

Hexaae: ButtonWait (or delay) for the map screen will be added as it disappears way too fast when game runs from HD.

note ~0004989

StingRay (developer)

ButtonWait support for map screen added and a problem related to fetch mode on AGA machines fixed which could cause trashed graphics.

Please try attached slave and tell me if the graphics problems still occur.

note ~0004990

Hexaae (reporter)

P E R F E C T
(on WinUAE)

note ~0004991

haynor666 (reporter)

Last edited: 2016-06-19 19:30

View 5 revisions

Really? Graphics trash is fixed but I still have some frame loosing/sprite lag. Since trash is gone I could play futher and I noticed:

On first level when die game rapidly move playfield backward. While this happening some parts of graphics dissapearing. Looks like amiga does not have enough time to draw all elements during rapid movement. Sometimes this even happen if you are on fast platform.

On first boss upper part of sometime has some frames lag to bottom part of boss.

On second boss this flickering/frames lags is almost all the time :/


Also I made mistake desribind when flashing occurs with previous slave. It happens exactly after I pick first weapon upgrade NOT after i pick second weapon. What is strange everything is fine back when I pick second weapon, also everything is fine when I picked extension for second weapon :|

Since shoots are sprites maybe weapon extension use one more sprite than weapon without upgrades. At least Codetapper states this: http://www.codetapper.com/amiga/sprite-tricks/jim-power/

note ~0004992

Hexaae (reporter)

What's you exact system configuration?
I've seen you have an EC030 = without MMU 030 CPU...

note ~0004993

StingRay (developer)

Last edited: 2016-06-19 19:31

View 2 revisions

This is not fixable without a major recode of the game engine which I am of course not going to do. Coder timed the game for A500 and cheated by not waiting for vertical blank, instead he sometimes waits for the middle of the screen or some other raster line so drawing will be finished in time on A500. I may add selectable raster line waits so people can try to find the perfect raster line waits for their systems (they are different on each andany CPU and depend on the speed of the machine etc. pp.). Have to think about it though as I'm sure this will generate a lot of new "bug" reports which I don't want to happen for obvious reasons.

note ~0004994

haynor666 (reporter)

Last edited: 2016-06-19 19:37

View 4 revisions

I've played on old slave and even on my EC030 apart for flashing first layer (sometimes) everthing is fine.

I understand StingRay, not a problem here. Similiar problem was with Deep Core - game either run too fast (on EC030) or too slow (when blitter waits were put in slave). Wepl would have calculate blitter waits for every processor independly. That reminds that I should test CD32 edition instead of disk version.

note ~0004996

haynor666 (reporter)

BTW. Maybe we could advertise this problem a bit on EAB forum?
Right now there are only 3 testers.

note ~0005001

mahen (reporter)

I'll test it on my MiST. It used to work properly at least in the first half of the game.
BTW, a support for the 2nd joypad button would be awesome, I don't know how difficult it is to add it :)
Thanks again for your work !!

note ~0006846

Hexaae (reporter)

Am I wrong or last changes fixing gfx glitches in this attached slave were not part of last JOTD update for Jim Power?

note ~0006867

JOTD (developer)

no, they were not, since Stingray didn't provide the source code for the slave, or even published it on whdload page.

So we have to merge the code (I resourced Mick slave too... damn)

note ~0006868

haynor666 (reporter)

No beacuse it was not fixed in my opinion. What is strange flashing occurs only after I get first power up. Before this everything is fine. That was the only problem of old slave.

note ~0006869

StingRay (developer)

"no, they were not, since Stingray didn't provide the source code for the slave, or even published it on whdload page."

As you know I always provide all sources for my patches. In this case I have spent an INSANE amount of time to fix the timing problems but I'm not happy with the results yet hence I haven't released the updated patch yet as I don't like to release unfinished stuff. Besides, this ticket has been assigned to me for quite some time already so it would've been not much of a problem to ask me for the current source which I would've happily provided.

Anyway, I will finish my version of the patch (it has been recoded from scratch) and add your joypad additions, this however will not happen anytime soon as I still have to find a way to fix the timing problems properly.

note ~0006870

JOTD (developer)

Stingray sorry I know you always do (unlike some others) and thanks for doing so.

I was completely unaware of this issue or that you were doing something. Next time, I'll check whdload page AND mantis bugs for slave I'm undertaking.

As the source is always provided in MY installs too, you'll have no problem integrating the joypad changes in your next slave when you have the time
+Notes

-Issue History
Date Modified Username Field Change
2009-04-10 00:47 administrator New Issue
2009-04-10 00:47 administrator Status new => assigned
2009-04-10 00:47 administrator Assigned To => MiCK
2009-04-10 00:47 administrator Machine => A500
2009-04-10 00:47 administrator CPU => 68000
2009-04-10 00:47 administrator CPUSpeed => 7
2009-04-10 00:47 administrator ChipSet => OCS
2009-04-10 00:47 administrator GFXCard => None
2009-04-10 00:47 administrator ChipMem => 256 KB
2009-04-10 00:47 administrator FastMem => 0 MB
2009-04-10 00:47 administrator Workbench => OS 3.9
2009-04-10 00:47 administrator KickROM => 40 - Kick 3.1
2009-04-10 00:47 administrator KickSoft => None
2009-04-10 00:47 administrator WHDLoad => 16.4
2009-04-10 00:47 administrator imported => yes
2009-10-08 18:54 haynor666 Note Added: 0001497
2009-11-10 11:02 haynor666 Note Added: 0001522
2009-11-10 12:24 Wepl Assigned To MiCK =>
2009-11-10 12:25 Wepl Note Added: 0001523
2009-11-10 13:14 haynor666 Note Added: 0001524
2009-11-10 13:59 Wepl Status assigned => new
2010-06-10 08:32 haynor666 Note Added: 0001800
2010-06-24 12:29 Wepl Note Added: 0001837
2010-06-24 20:07 haynor666 Note Added: 0001840
2012-05-02 00:23 mahen Note Added: 0002724
2012-05-02 19:34 haynor666 Note Added: 0002729
2013-09-13 03:10 Hexaae Note Added: 0003435
2013-09-13 03:12 Hexaae Note Edited: 0003435 View Revisions
2013-09-13 03:15 Hexaae Note Edited: 0003435 View Revisions
2013-09-13 14:35 haynor666 Note Added: 0003438
2013-09-13 14:48 Hexaae Note Added: 0003439
2013-09-13 14:52 Hexaae Note Edited: 0003439 View Revisions
2013-09-13 14:52 Hexaae Note Edited: 0003439 View Revisions
2013-09-13 15:46 haynor666 Note Added: 0003445
2013-09-13 19:38 StingRay Note Added: 0003449
2013-09-13 19:38 StingRay Assigned To => StingRay
2013-09-13 19:38 StingRay Status new => assigned
2013-09-13 19:38 StingRay Note Edited: 0003449 View Revisions
2013-09-13 20:01 haynor666 Note Added: 0003450
2014-05-04 23:34 haynor666 Note Added: 0003919
2014-05-11 10:27 JOTD Relationship added has duplicate 0002999
2014-05-15 10:14 StingRay Note Added: 0003988
2016-06-08 17:19 haynor666 Note Added: 0004918
2016-06-08 20:17 StingRay Note Added: 0004919
2016-06-13 18:15 haynor666 Note Added: 0004947
2016-06-17 11:42 StingRay Note Added: 0004971
2016-06-17 11:43 StingRay File Added: JimPower.slave
2016-06-17 15:07 Hexaae Note Added: 0004974
2016-06-17 18:32 StingRay Note Added: 0004975
2016-06-17 18:33 StingRay File Deleted: JimPower.slave
2016-06-17 18:33 StingRay File Added: JimPower.slave
2016-06-17 18:53 haynor666 Note Added: 0004976
2016-06-17 19:40 Hexaae Note Added: 0004977
2016-06-17 19:43 Hexaae Note Added: 0004978
2016-06-17 19:49 Hexaae Note Edited: 0004978 View Revisions
2016-06-17 20:06 haynor666 Note Added: 0004979
2016-06-17 20:19 StingRay Note Added: 0004980
2016-06-18 14:11 haynor666 Note Added: 0004982
2016-06-18 14:12 haynor666 Note Edited: 0004982 View Revisions
2016-06-18 14:14 haynor666 Note Edited: 0004982 View Revisions
2016-06-18 14:48 Hexaae Note Added: 0004986
2016-06-18 15:27 Hexaae Note Edited: 0004986 View Revisions
2016-06-19 15:27 StingRay Note Added: 0004988
2016-06-19 15:57 StingRay File Deleted: JimPower.slave
2016-06-19 15:57 StingRay File Added: JimPower.slave
2016-06-19 15:58 StingRay Note Added: 0004989
2016-06-19 19:06 Hexaae Note Added: 0004990
2016-06-19 19:17 haynor666 Note Added: 0004991
2016-06-19 19:21 haynor666 Note Edited: 0004991 View Revisions
2016-06-19 19:23 haynor666 Note Edited: 0004991 View Revisions
2016-06-19 19:25 haynor666 Note Edited: 0004991 View Revisions
2016-06-19 19:27 Hexaae Note Added: 0004992
2016-06-19 19:30 StingRay Note Added: 0004993
2016-06-19 19:30 haynor666 Note Edited: 0004991 View Revisions
2016-06-19 19:31 StingRay Note Edited: 0004993 View Revisions
2016-06-19 19:32 haynor666 Note Added: 0004994
2016-06-19 19:34 haynor666 Note Edited: 0004994 View Revisions
2016-06-19 19:36 haynor666 Note Edited: 0004994 View Revisions
2016-06-19 19:37 haynor666 Note Edited: 0004994 View Revisions
2016-06-20 21:35 haynor666 Note Added: 0004996
2016-06-24 11:21 mahen Note Added: 0005001
2019-05-27 11:24 Hexaae Note Added: 0006846
2019-06-15 21:36 JOTD Note Added: 0006867
2019-06-15 22:15 haynor666 Note Added: 0006868
2019-06-16 14:55 StingRay Note Added: 0006869
2019-06-16 15:04 JOTD Note Added: 0006870
2019-06-24 11:46 StingRay Assigned To StingRay =>
+Issue History